from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XListEntrySink(XInterface, Protocol):
    def setListEntrySource(self, Source: XListEntrySource) -> None: ...
    def getListEntrySource(self) -> XListEntrySource: ...
